<?php
// $Id: main.php,v 1.2 2004/10/13 11:54:55 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 reliable - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//

// Welcome Screen
define("_INSTALL_W_WELCOME"   , "%sセットアップへようこそ");
define("_INSTALL_W_CHOOSE"    , "希望する作業を選んでください:");
define("_INSTALL_W_CHOOSELANG", "設置プロセスのために使用されるために言葉を選んでください。");

// Server Tests
define("_INSTALL_ST_TESTS"       , "これらはあなたのサーバーをテストした後の結果です。:");
define("_INSTALL_ST_MAINFILE_OK" , "Your mainfile.php is writable :: <img src='images/check.gif' />");
define("_INSTALL_ST_MAINFILE_BAD", "mainfile.php in your root folder needs to be chmodded to (0666 Unix / read-write Win32) before continuing :: <img src='images/failed.gif' />");
define("_INSTALL_ST_MYSQL_OK"    , "Your mysql version is %s, which is sufficient :: <img src='images/check.gif' />");
define("_INSTALL_ST_MYSQL_BAD"   , "Your mysql version is %s, which is not high enough to run E-Xoops :: <img src='images/failed.gif' />");
define("_INSTALL_ST_MYSQL_BAD2"  , "Could not determine your mysql version, MySQL 3.23.xx minimum is required.");
define("_INSTALL_ST_GLOBALS_OK"  , "Register Globals are ON :: <img src='images/check.gif' />");
define("_INSTALL_ST_GLOBALS_BAD" , "Register Globals are OFF. ..this shouldn't be a problem. :: <img src='images/question.gif' />");
define("_INSTALL_ST_PHP_OK"      , "Your PHP version is %s, which is sufficient :: <img src='images/check.gif' />");
define("_INSTALL_ST_PHP_BAD"     , "You only have version %s of PHP. You need a higher version to run E-Xoops :: <img src='images/failed.gif' />");
define("_INSTALL_ST_NEXT"        , "If the above results are positive, then continue..");
define("_INSTALL_PHPINFO"        , "PHP-INFO");

// DBFORM
define("_INSTALL_DF_DB"          ,"Database");
define("_INSTALL_DF_DB1"         ,"使用するデータベースのタイプを選んでください。");
define("_INSTALL_DF_HOST"        ,"Database Hostname");
define("_INSTALL_DF_HOST1"       ,"DB Serverのアドレス ( わからない場合は 'localhost' にしとおくとたいていの場合動きます )");
define("_INSTALL_DF_UNAME"       ,"Database Username");
define("_INSTALL_DF_UNAME1"      ,"データベース・ユーザアカウント( ローカルサーバーの場合は'root'が標準です。 )");
define("_INSTALL_DF_PASS"        ,"Database Password");
define("_INSTALL_DF_PASS1"       ,"データベース・ユーザアカウント用パスワード");
define("_INSTALL_DF_DBNAME"      ,"Database Name");
define("_INSTALL_DF_DBNAME1"     ,"ホストのデータベースの名 先にデータベースを作成してください。");
define("_INSTALL_DF_PREFIX"      ,"Table Prefix");
define("_INSTALL_DF_PREFIX1"     ,"データベースの接続語です。矛盾回避のために使われます。もしわからない場合はデフォルトの'e_xoops'にしてください。");
define("_INSTALL_DF_PCONNECT"    ,"persistent connectionを使いますか？");
define("_INSTALL_DF_PCONNECT1"   ,"デフォルトではNoです。わからない場合はデフォルトに");
define("_INSTALL_DF_PATH"        ,"Physical Path");
define("_INSTALL_DF_PATH1"       ,"RUNCMSメインディレクトリへの物理パス（最後の/入れないでください。） ( Windowsdではシンプルです 例（c:/myfolder  )");
define("_INSTALL_DF_URL"         ,"Virtual Path (URL)");
define("_INSTALL_DF_URL1"        ,"RUNCMS覧時のURL（最後の/入れないでください。） ( http://www.mysite.com/myfolder )");
define("_INSTALL_DF_PLEASE_ENTER","Please enter a valid %s");
define("_INSTALL_DF_ERRORS"      , "エラー発生:");
define("_INSTALL_DF_BADROOT"     , "指定された物理パスが存在しません。");
define("_INSTALL_DF_BADDB"       , "指定されたデータベースが見付からないか接続できません。");
define("_INSTALL_DF_OK"          , "問題ないようです。コンフィグファイルを保存して次に進みましょう。");
define("_INSTALL_LANG"           , "デフォルトの言語を指定してください。");


// Mainfile setup
define("_INSTALL_MF_FAILOPEN" ,"mainfile.phpが開けませんでした。 ファイルのパーミッションを確認してやり直してください。");
define("_INSTALL_MF_FAILWRITE","mainfile.phpに書きこめませんでした。 サーバー管理者に問い合わせてください。");
define("_INSTALL_MF_WRITEOK"  ,"Configuration data の書込が完了しました。");

// Admin Setup
define("_INSTALL_AD_MSG"     , "admin accountの設定をしてください。:");
define("_INSTALL_AD_UNAME"   , "User Name:");
define("_INSTALL_AD_EMAIL"   , "Admin Email:");
define("_INSTALL_AD_PASS"    , "Password:");
define("_INSTALL_AD_BADPASS" , "password は %s characters以上にしてください。");
define("_INSTALL_AD_BADUNAME", "名前にはスペースを除いた英数字のみ利用できます。");
define("_INSTALL_AD_BADEMAIL", "e-mailが不適切です。");

// DB CREATION
define("_INSTALL_DB_DBERROR" , "データベーステーブルが作成できませんでした。");
define("_INSTALL_DB_TRYAGAIN", "<a href='%s'>ここ</a> をクリックしてStepOneから、やりなおしてください。");

// Finish
define("_INSTALL_F_CONGRAT" , "オメデト(^_^)∠※PAN！ E-Xoops のインストールが完了しました。");
define("_INSTALL_F_CHMOD"   , "各ファイル及びディレクトリのパーミッションを以下に合わせて変更してください。:");
define("_INSTALL_F_CHMODMSG", "If you have access to your servers command line, then you may also want download a chmod script for your operating system. Simply save it to your disk & run it from the command line");
define("_INSTALL_F_VISIT"   , "あなたのサイトは <a href='%s/'>こちら</a>です。");

// Some general stuff
define("_INSTALL_G_TITLE" , "Installation");
define("_INSTALL_U_CHOOSE", "Please choose a upgrade package:");
define("_INSTALL_U_NOTE"  , "NOTE: Your old mainfile.php must already be in place & contain the right information.");
define("_INSTALL_U_README", "Click <a href='%s' target='_blank'>here</a> to see the <b>README</b> for more information.");
?>
